---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Creates a new mobile device invitation by id

```xml Sample Request Body
<mobile_device_invitation>
	<username>string</username>
	<invitation_type>DEFAULT</invitation_type>
	<login_required>true</login_required>
	<multiple_uses_allowed>false</multiple_uses_allowed>
	<expiration_date>Unlimited</expiration_date>
	<enrolled_into_site>
		<id>-1</id>
		<name>None</name>
	</enrolled_into_site>
	<keep_existing_site_membership>false</keep_existing_site_membership>
	<site>
		<id>-1</id>
		<name>None</name>
	</site>
</mobile_device_invitation>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/mobiledeviceinvitations/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "mobiledeviceinvitations"
        ],
        "summary": "Creates a new mobile device invitation by id",
        "operationId": "createMobileDeviceInvitationsById",
        "parameters": [
          {
            "description": "ID value to filter by",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/mobile_device_invitation"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "mobile_device_invitation": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "example": 1
          },
          "invitation": {
            "type": "integer",
            "example": 7.249663721735319e+37,
            "readOnly": true
          },
          "sent_to": {
            "type": "string",
            "example": "user@company.com",
            "readOnly": true
          },
          "sent_from": {
            "type": "string",
            "example": "Jamf Pro",
            "readOnly": true
          },
          "reply_to": {
            "type": "string",
            "example": "it@company.com",
            "readOnly": true
          },
          "subject": {
            "type": "string",
            "example": "Enroll your device",
            "readOnly": true
          },
          "message": {
            "type": "string"
          },
          "username": {
            "type": "string"
          },
          "last_action": {
            "type": "string",
            "example": "NONE",
            "readOnly": true
          },
          "invitation_type": {
            "type": "string",
            "example": "USER_INITATIED_EMAIL",
            "default": "USER_INITIATED_URL"
          },
          "login_required": {
            "type": "boolean",
            "default": true
          },
          "multiple_uses_allowed": {
            "type": "boolean",
            "default": false
          },
          "date_sent": {
            "type": "string",
            "example": "2012-05-07 11:13:35",
            "readOnly": true
          },
          "date_sent_utc": {
            "type": "string",
            "example": "2012-05-07T11:13:35.609-0500",
            "readOnly": true
          },
          "date_sent_epoch": {
            "type": "integer",
            "example": 1336407215609,
            "readOnly": true
          },
          "expiration_date": {
            "type": "string",
            "description": "Use 'Unlimited' to specify no expiration",
            "example": "2012-05-07 11:13:35",
            "default": "Unlimited"
          },
          "expiration_date_utc": {
            "type": "string",
            "example": "2012-05-07T11:13:35.609-0500",
            "readOnly": true
          },
          "expiration_date_epoch": {
            "type": "integer",
            "example": 1336407215609,
            "readOnly": true
          },
          "enrolled_into_site": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "default": -1
              },
              "name": {
                "type": "string",
                "default": "None"
              }
            }
          },
          "keep_existing_site_membership": {
            "type": "boolean",
            "default": false
          },
          "target_ios": {
            "type": "string",
            "example": "iOS 4"
          },
          "site": {
            "$ref": "#/components/schemas/site_object"
          }
        }
      },
      "site_object": {
        "type": "object",
        "xml": {
          "name": "site"
        },
        "properties": {
          "id": {
            "type": "integer",
            "default": -1
          },
          "name": {
            "type": "string",
            "example": "None",
            "description": "Name of the site"
          }
        },
        "required": [
          "name"
        ]
      }
    }
  }
}
```